Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class BookCategory

    java.lang.Object
      org.crosswire.jsword.book.BookCategory

All Implemented Interfaces:
  Serializable, Comparable

    public final class BookCategory

extends Object
implements Serializable, Comparable

An Enumeration of the possible types of Book.

Author:
  Joe Walker [joe at eireneh dot com], DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`static BookCategory` | `BIBLE` Books that are Bibles
`static BookCategory` | `COMMENTARY` Books that are Commentaries
`static BookCategory` | `DAILY_DEVOTIONS` Books that are indexed by day.
`static BookCategory` | `DICTIONARY` Books that are Dictionaries
`static BookCategory` | `GENERAL_BOOK` Books that are not any of the above
`static BookCategory` | `GLOSSARY` Books that map words from one language to another.
`private String` | `name` The name of the BookCategory
`private static int` | `nextObj`
`private int` | `obj`
`static BookCategory` | `OTHER` Books that are not any of the above
`static BookCategory` | `QUESTIONABLE` Books that are questionable.
`private static long` | `serialVersionUID` Serialization ID
`private static BookCategory[]` | `VALUES`

Constructor Summary
`private` | `BookCategory(String name)`

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object o)`
`static BookCategory` | `fromInteger(int i)` Lookup method to convert from an integer
`static BookCategory` | `fromString(String name)` Lookup method to convert from a String
`int` | `hashCode()`
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BIBLE

    public static final BookCategory BIBLE

  Books that are Bibles

### DICTIONARY

    public static final BookCategory DICTIONARY

  Books that are Dictionaries

### COMMENTARY

    public static final BookCategory COMMENTARY

  Books that are Commentaries

### DAILY_DEVOTIONS

    public static final BookCategory DAILY_DEVOTIONS

  Books that are indexed by day. AKA, Daily Devotions

### GLOSSARY

    public static final BookCategory GLOSSARY

  Books that map words from one language to another.

### QUESTIONABLE

    public static final BookCategory QUESTIONABLE

  Books that are questionable.

### GENERAL_BOOK

    public static final BookCategory GENERAL_BOOK

  Books that are not any of the above

### OTHER

    public static final BookCategory OTHER

  Books that are not any of the above

### name

    private String name

  The name of the BookCategory

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final BookCategory[] VALUES

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### BookCategory

    private BookCategory(String name)

Parameters:
  `name` - The name of the BookCategory

Method Detail

### fromString

    public static BookCategory fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static BookCategory fromInteger(int i)

  Lookup method to convert from an integer

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD